classification
Title: Wrong mtimes of Include/Python-ast.h and Python/Python-ast.c in tarballs
Type: Stage: resolved
Components: Build Versions: Python 3.3, Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, georg.brandl, koobs, larry, python-dev
Priority: release blocker Keywords:

Created on 2013-12-12 17:37 by Arfrever, last changed 2014-03-01 08:43 by koobs. This issue is now closed.

Messages (5)
msg205967 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2013-12-12 17:37
This bug is present in 3.3.3 tarballs (Python-3.3.3.tar.bz2, Python-3.3.3.tar.xz, Python-3.3.3.tgz). This bug is absent in 3.3.2 tarballs.

In unpacked 3.3.2:

$ ./configure
...
$ make Include/Python-ast.h
make: 'Include/Python-ast.h' is up to date.
$ make Python/Python-ast.c
make: 'Python/Python-ast.c' is up to date.


In unpacked 3.3.3:

$ ./configure
...
$ make Include/Python-ast.h
/bin/mkdir -p Include
python3.3 ./Parser/asdl_c.py -h Include ./Parser/Python.asdl
$ make Python/Python-ast.c
/bin/mkdir -p Python
python3.3 ./Parser/asdl_c.py -c Python ./Parser/Python.asdl


At least please fix the script used to generate tarballs, to ensure that this bug will not occur with future tarballs.
msg208570 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2014-01-20 19:40
Apparently at least 3.4.0b2 tarballs are also affected.
msg209407 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-27 07:32
New changeset 0279445c05d5 by Georg Brandl in branch 'default':
Closes #19966: allow hgtouch to operate on a base dir that is != the repo root.
http://hg.python.org/cpython/rev/0279445c05d5
msg209408 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-01-27 07:33
OK, 3.3.4rc1 shouldn't have the problem, and neither 3.4.0b4 ff. with the changes I just checked into hgtouch.
msg210867 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-02-10 21:04
New changeset ab0b9107628f by Georg Brandl in branch '3.3':
Closes #19966: allow hgtouch to operate on a base dir that is != the repo root.
http://hg.python.org/cpython/rev/ab0b9107628f
History
Date User Action Args
2014-03-01 08:43:16koobssetnosy: + koobs
2014-02-10 21:04:39python-devsetmessages: + msg210867
2014-01-27 07:33:06georg.brandlsetmessages: + msg209408
2014-01-27 07:32:05python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg209407

resolution: fixed
stage: resolved
2014-01-20 19:40:52Arfreversetnosy: + larry
title: Wrong mtimes of files in 3.3.3 tarballs -> Wrong mtimes of Include/Python-ast.h and Python/Python-ast.c in tarballs
messages: + msg208570

versions: + Python 3.4
2014-01-20 19:05:43georg.brandlsetpriority: normal -> release blocker
2013-12-12 17:37:02Arfrevercreate